'                               FEWER COMMENTS (EASIER TO READ)
'                                         EXAMPLE01
'
'                                   ONE LED BLINKS FIVE TIMES
'**************************************************************************************
'IMPORTANT:  Please run this code and attempt to understand it before advancing to
'            Example02, Example03, etc.  
'**************************************************************************************
'DIFFICULTY LEVEL: Very easy
'
'Submitted by Dave Scanlan, March 15, 2006
'File: FewerComments.spin                  
'**************************************************************************************
'CORRECT OUTPUT: The LED at port A16 will blink every second, five times.
'**************************************************************************************
'
CON
  _clkmode = xtal1 + pll16x      
  _xinfreq = 5_000_000             
  High = 1                         
  Low  = 0                         
  Out = %1                         
' 
VAR
  Byte Pin                         
' 
PUB Start                                                                                                                       
  BlinkingLED                      
'                                                                                                                               
PRI BlinkingLED                    
  Pin := 16                                                                                             
  DirA[Pin] := Out                 
  Repeat 5                         
    OutA[Pin] := High         'LED ON                                           
    WaitCnt(40_000_000 + Cnt) 'ONE-HALF SECOND WAIT
    OutA[Pin] := Low          'LED OFF
    WaitCnt(40_000_000 + Cnt) 'ONE-HALF SECOND WAIT
'
'INDENTION IS IMPORTANT IN SPIN: There are no ENDIFs, END REPEATs, END SUB, etc.