'                          FEWER COMMENTS (EASIER TO READ)
'
'                                    EXAMPLE03
'
'                          USING TWO COGS (TWO PROCESSORS)                                    
'*****************************************************************************
'IMPORTANT: This example requires an understanding of examples 01 and 02.
'***************************************************************************** 
'DIFFICULTY LEVEL: Easy
'*****************************************************************************
'CORRECT OUTPUT: The LEDs at A16 and A17 should blink on and off every second. 
'                Both should blink on and off at the same time.
'Submitted by Dave Scanlan, March 15, 2006         
'File: Example03_FewerComments.spin
'***************************************************************************** 
CON
  _clkmode      = xtal1 + pll16x
  _xinfreq      = 5_000_000
  High = 1
  Low  = 0
'
VAR
  long  stack0[20]                   
  long  stack1[20]                   
'                                                                                             
PUB Start
  cognew(BlinkingLED_A16, @stack0)   
  cognew(BlinkingLED_A17, @stack1)   
'
PRI BlinkingLED_A16 | Pin              
  Pin := 16
  DirA[Pin] := %1
  Repeat 5
    OutA[Pin] := High                                                     
    WaitCnt(40_000_000 + Cnt)          
    OutA[Pin] := Low                   
    WaitCnt(40_000_000 + Cnt)          
'
PRI BlinkingLED_A17 | Pin              
  Pin := 17
  DirA[Pin] := %1
  Repeat 5
    OutA[Pin] := High                                                     
    WaitCnt(40_000_000 + Cnt)          
    OutA[Pin] := Low                   
    WaitCnt(40_000_000 + Cnt)

'INDENTION IS IMPORTANT IN SPIN CODE